Index: cbv2/src/arch/i386/boot/tables.c
===================================================================
--- cbv2.orig/src/arch/i386/boot/tables.c	2009-05-13 15:21:31.000000000 -0600
+++ cbv2/src/arch/i386/boot/tables.c	2009-05-13 15:22:41.000000000 -0600
@@ -134,6 +134,9 @@
 
 	post_code(0x9a);
 
+	write_table(low_table_start, &low_table_end,
+		    rom_table_start, &rom_table_end);
+
 #if HAVE_HIGH_TABLES == 1
 	unsigned long high_table_start=0, high_table_end=0;
 
@@ -147,15 +150,11 @@
 				     high_table_start, high_table_end);
 	} else {
 		printk_err("ERROR: No high_tables_base.\n");
-		write_table(low_table_start, &low_table_end,
-			    rom_table_start, &rom_table_end);
 		write_coreboot_table(low_table_start, low_table_end,
 				     rom_table_start, rom_table_end);
 	}
 #else
 	/* The coreboot table must be in 0-4K or 960K-1M */
-	write_table(low_table_start, &low_table_end,
-		    rom_table_start, &rom_table_end);
 	write_coreboot_table(low_table_start, low_table_end,
 			      rom_table_start, rom_table_end);
 #endif
